.panel.panel-default{"ng-controller" => "OperationDetailsCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Details of Operation
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:rowspan => "3", :style => "vertical-align: middle; width: 150px;"} Crop Name
            %th{:rowspan => "3", :style => "vertical-align: middle; width: 150px;"} Details of Operation
            %th{:colspan => "10", :style => "text-align: center;"} Labour Use
            %th{:rowspan => "3"} Nos
            / %th{:rowspan => "3"} Amount (₹)
          %tr
            %th{:colspan => "2"} Men (mandays)
            %th{:colspan => "2"} Women (mandays)
            %th{:colspan => "2"} Bullock (Pairdays)
            %th{:colspan => "2"} Tractor (hrs)
            %th{:colspan => "2"} Machinery (hrs)
          %tr
            %th Own
            %th Hired
            %th Own
            %th Hired
            %th Own
            %th Hired
            %th Own
            %th Hired
            %th Own
            %th Hired
     
        %tbody
          %tr{ "ng-repeat" => "details in data_list "}
            %td {{ details.crop_list.name }}
            %td {{ details.operation_detail }}
            %td {{ details.own_men}}
            %td {{ details.hired_men }}
            %td {{ details.own_women }}
            %td {{ details.hired_women }}
            %td {{ details.own_bullock }}
            %td {{ details.hired_bullock }}
            %td {{ details.own_tractor}}
            %td {{ details.hired_tractor }}
            %td {{ details.own_machinery }}
            %td {{ details.hired_machinery }}
            %td {{ details.input }}
            / %td {{ details.amount }}
            %td
              %a{ "ng-click" => "edit(details.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(details.id, details.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              %select{"ng-model" => "vm.production_cost", "ng-options" => "production_cost.crop_list.name for production_cost in production_costs track by production_cost.id ", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = select_tag :operation_detail, options_for_select(["Land preparation","Sowing / Planting","Irrigation","Intercultural Operations","Weeding", "Harvesting"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.operation_detail" 
            %td
              = number_field :own_men, '', :class => "form-control", "ng-model" => "vm.own_men"
            %td
              = number_field :hired_men, '', :class => "form-control", "ng-model" => "vm.hired_men"
            %td
              = number_field :own_women, '', :class => "form-control", "ng-model" => "vm.own_women"
            %td
              = number_field :hired_women, '', :class => "form-control", "ng-model" => "vm.hired_women"
            %td
              = number_field :own_bullock, '', :class => "form-control", "ng-model" => "vm.own_bullock"
            %td
              = number_field :hired_bullock, '', :class => "form-control", "ng-model" => "vm.hired_bullock"
            %td
              = number_field :own_tractor, '', :class => "form-control", "ng-model" => "vm.own_tractor"
            %td
              = number_field :hired_tractor, '', :class => "form-control", "ng-model" => "vm.hired_tractor"
            %td
              = number_field :own_machinery, '', :class => "form-control", "ng-model" => "vm.own_machinery"
            %td
              = number_field :hired_machinery, '', :class => "form-control", "ng-model" => "vm.hired_machinery"
            %td
              = number_field :input, '', :class => "form-control", "ng-model" => "vm.input"
            / %td
            /   = number_field :amount, '', :class => "form-control", "ng-model" => "vm.amount"
            

  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}